### Property

# Clutter Transition:remove-on-complete

#### Declaration

    property remove-on-complete: gboolean [ read, write ]

#### Description [src]

Whether the `ClutterTransition` should be automatically detached from the `ClutterTransition:animatable` instance whenever the `ClutterTimeline::stopped` signal is emitted.

The `ClutterTransition:remove-on-complete` property takes into account the value of the `ClutterTimeline:repeat-count` property, and it only detaches the transition if the transition is not repeating.

Type:`gboolean`

Default value | FALSE
Getter method | `clutter_transition_get_remove_on_complete()`
Setter method | `clutter_transition_set_remove_on_complete()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no